/* ===== Fonts ===== */

@font-face {
  font-family: 'Uni Neue';
  src: url('../assets/fonts/UniNeue-Trial-Bold.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'YS Text';
  src: url('../assets/fonts/YandexSansText-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'YS Text';
  src: url('../assets/fonts/YandexSansText-Medium.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

/* ===== Variables ===== */

:root {
  --color-bg: #353334;
  --color-yellow: #ffd000;
  --color-white: #ffffff;
  --color-gray: #d9d9d9;

  --font-main: 'YS Text', sans-serif;
  --font-heading: 'Uni Neue', sans-serif;

  --container-width: 1200px;
}

/* Фирменное жёлтое выделение текста мышкой */
::selection {
  background-color: rgba(255, 208, 0, 0.4); /* #FFD000 с прозрачностью */
  color: #141213; /* можно оставить тёмный текст, чтобы читалось */
}

/* Для Firefox */
::-moz-selection {
  background-color: rgba(255, 208, 0, 0.4);
  color: #141213;
}